package com.atguigu.auth.service.impl;

import com.atguigu.auth.mapper.SysRoleMapper;
import com.atguigu.auth.service.SysRoleService;
import com.atguigu.model.system.SysRole;
import com.atguigu.vo.system.SysRoleQueryVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

@Service
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {
    /**
     * 角色条件分页查询
     *
     * @param page  当前页
     * @param limit 每页记录数
     * @param vo    查询条件
     * @return 分页结果
     */
    @Override
    public IPage<SysRole> pageResult(Long page, Long limit, SysRoleQueryVo vo) {
        Page<SysRole> pageParam = new Page<>(page, limit);

        String roleName = vo.getRoleName();
        LambdaQueryWrapper<SysRole> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(!StringUtils.isEmpty(roleName), SysRole::getRoleName, roleName);

        return page(pageParam, wrapper);
    }
}
